<?php
function mytheme_header_options($wp_customize){
		$wp_customize->add_section('mytheme_header_options', array(
        'title'    => __('网站顶部设置', 'mytheme'),
        'description' => '通过这个选项设置顶部的样式和内容</br>  <a href="http://www.themepark.com.cn" target="_blank">WEB主题公园开发提供</a>',
        'priority' => 60,
    ));

	class Ari_Customize_Textarea_Control extends WP_Customize_Control {
  public $type = 'textarea';
  public function render_content() {

 ?>
  <label>
    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
    <textarea rows="5" style="width:100%;" <?php $this->link(); ?>><?php echo esc_textarea( $this->value()); ?></textarea>
  </label>
  <p><?php echo esc_html( $this->description); ?></p>
<?php 
  }
}


	class Ari_Customize_fengexian_Control extends WP_Customize_Control {
  public $type = 'fengexian';
  public function render_content() {

 ?>
 <div style="width:100%; background:#333; margin:15px 0; height:1px;"></div>
  
<?php 
  }
}


  $wp_customize->add_setting('mytheme_logo', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_logo', array(
        'label'    => __('logo上传[尺寸高度：78px，宽度不要超过200px]', 'mytheme_logo'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_logo',
     )
    )); 


 $wp_customize->add_setting('mytheme_body_pic', array(
		'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_body_pic', array(
        'label'    => __('整站背景纹理图片（默认白色细小圆点纹理）', 'mytheme_body_pic'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_body_pic',
     )
    )); 

  $wp_customize->add_setting('mytheme_logo_ad', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_logo_ad', array(
        'label'    => __('pc以及平板电脑的顶部背景图片（默认蓝色、尺寸宽度1920，高度不超过1000像素）', 'mytheme_logo_ad'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_logo_ad',
     )
    )); 


 $wp_customize->add_setting('mytheme_tops_pic', array(
		'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_tops_pic', array(
        'label'    => __('顶端信息栏背景图片（默认黑色半透明）', 'mytheme_tops_pic'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_tops_pic',
     )
    )); 



  $wp_customize->add_setting('mytheme_form_pic', array(
		'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_form_pic', array(
        'label'    => __('导航的背景图片(高度60像素，居中平铺)', 'mytheme_form_pic'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_form_pic',
     )
    )); 
		
  $wp_customize->add_setting('mytheme_form_pic_hover', array(
		'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_form_pic_hover', array(
        'label'    => __('鼠标经过的导航的背景图片(高度60像素，默认黑色半透明)', 'mytheme_form_pic_hover'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_form_pic_hover',
     )
    )); 


$wp_customize->add_setting('mytheme_tell', array(
        'default'        => ' ',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_tell', array(
        'label'      => __('电话号码', 'mytheme_tell'),
        'section'    => 'mytheme_header_options',
        'settings'   => 'mytheme_tell',
    ));
	
$wp_customize->add_setting('mytheme_tell2', array(
        'default'        => '24小时联系电话：185 8888 888',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_tell2', array(
        'label'      => __('电话号码2', 'mytheme_tell2'),
        'section'    => 'mytheme_header_options',
        'settings'   => 'mytheme_tell2',
    ));
	
	
	  $wp_customize->add_setting('mytheme_search_title', array(
        'default'        => ' ',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_search_title', array(
        'label'      => __('热门搜索的标题', 'mytheme_search_title'),
        'section'    => 'mytheme_header_options',
        'settings'   => 'mytheme_search_title',
    ));
	
  
     $wp_customize->add_setting('mytheme_searchkey', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control(new Ari_Customize_Textarea_Control($wp_customize, 'mytheme_searchkey', array(
         'label'      => __('热门搜索词关键词填写，填写多个以英文输入法的逗号分隔', 'mytheme_searchkey'),
         'section'    => 'mytheme_header_options',
         'settings'   => 'mytheme_searchkey',
  
      )));
  
  

	
	 $wp_customize->add_setting('mytheme_ad_top', array(
        'default'        => 'WEB主题公园[www.themepark.com.cn]用心做最好的原创中文WordPress主题!',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_ad_top', array(
        'label'      => __('顶部广告词', 'mytheme_ad_top'),
             'section'  => 'mytheme_header_options',
        'settings'   => 'mytheme_ad_top',
	
    ));
		
		
	
   
   	 $wp_customize->add_setting('mytheme_nav_hover', array(
	    'default'        => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_nav_hover', array(
        'label'    => __('电话号码以及热门搜索的颜色', 'extraordinaryvision'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_nav_hover',
    )));
   
   
    $wp_customize->add_setting('mytheme_nav_img', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
         
    ));
      $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_nav_img', array(
        'label'    => __('电话小图标(尺寸34*34像素)', 'mytheme_form_img'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_nav_img',
     )
    )); 
	
	
	 $wp_customize->add_setting('mytheme_nav_title', array(
	    'default'        => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_nav_title', array(
        'label'    => __('导航的主标题颜色', 'extraordinaryvision'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_nav_title',
    )));
	
	 $wp_customize->add_setting('mytheme_nav_title2', array(
	    'default'        => '#fff',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_nav_title2', array(
        'label'    => __('导航的副题颜色', 'extraordinaryvision'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_nav_title2',
    )));	
	
	
   
};
add_action('customize_register', 'mytheme_header_options');
?>